import MonitorSpec from "./MonitorSpec";
import BigNumber from "bignumber.js";
import BTPNotification from "../../data/Formatter/BTPNotification";
export default class BTPMonitorSpec implements MonitorSpec {
    readonly height: BigNumber;
    readonly networkID: BigNumber;
    readonly proofFlag: boolean;
    readonly progressInterval: number;
    constructor(height: BigNumber, networkID: BigNumber, proofFlag: boolean, progressInterval?: number);
    getPath(): string;
    getParam(): object;
    getConverter(): (data: any) => BTPNotification;
}
